| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.ICCBoardEEPROM Class Reference

Parent class => BoardEEPROM
More...

Inheritance diagram for optoICC.registers.icc_registers.ICCBoardEEPROM:

## Public Member Functions
| __init__ (self, board=None)
| GetEepromVersion (self)
| Gets board EEPROM version.
| GetEepromSubVersion (self)
| Gets board EEPROM subversion.
| GetSerialNumber (self)
| Gets board serial number.
| GetMACaddr (self)
| Gets board MAC address.
| SetMACaddr (self, mac_addr)
| Sets board MAC address.
| GetDHCP (self)
| Gets DHCP enabled flag, 0 = DHCP disabled, 1 = DHCP enabled.
| SetDHCP (self, enable)
| Sets DHCP enabled flag, 0 = DHCP disabled, 1 = DHCP enabled.
| GetIPv4addr (self)
| Gets board IPv4 address.
| SetIPv4addr (self, addr)
| Sets board IPv4 address.
| GetIPv4subnet (self)
| Gets board IPv4 subnet mask.
| SetIPv4subnet (self, addr)
| Sets board IPv4 subnet mask.
| GetIPv4gateway (self)
| Gets board IPv4 default gateway.
| SetIPv4gateway (self, addr)
| Sets board IPv4 default gateway.
| GetIPv4dns (self)
| Gets board IPv4 DNS address.
| SetIPv4dns (self, addr)
| Sets board IPv4 DNS address.
| GetIPv6addr (self)
| Gets board IPv6 address.
| SetIPv6addr (self, addr)
| Sets board IPv6 address.
| GetIPv6subnet (self)
| Gets board IPv6 subnet mask.
| SetIPv6subnet (self, addr)
| Sets board IPv6 subnet mask.
| GetIPv6gateway (self)
| Gets board IPv6 default gateway mask.
| SetIPv6gateway (self, addr)
| Sets board IPv6 default gateway mask.
| GetIPv6dns (self)
| Gets board IPv6 DNS address.
| SetIPv6dns (self, addr)
| Sets board IPv6 DNS address.
| GetTCPIPport (self)
| Gets board TCP port.
| SetTCPIPport (self, port)
| Sets board TCP port.
| GetUDPport (self)
| Gets board UDP port.
| SetUDPport (self, port)
| Sets board UDP port.
| GetI2Caddr (self)
| Gets board I2C address.
| SetI2Caddr (self, addr)
| Sets board I2C address.
| GetFEautostart (self)
| Gets board FE autostart flag, 0 = disabled, 1 = enabled.
| SetFEautostart (self, val)
| Sets board FE autostart flag, 0 = disabled, 1 = enabled.
| GetFEvoltage (self)
| Gets board FE voltage.
| SetFEvoltage (self, val)
| Sets board FE voltage.
| GetPWMfreq (self)
| Gets board PWM startup frequency, 0=400kHz, 1=500kHz, 2=600kHz, 3=1MHz, 4=1.2MHz.
| SetPWMfreq (self, val)
| Sets board PWM startup frequency, 0=400kHz, 1=500kHz, 2=600kHz, 3=1MHz, 4=1.2MHz.
| SetPWMenableChanMask (self, mask)
| Enables output PWM driver IC on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| GetPWMenableChanMask (self)
| Gets flag which enables output PWM driver IC on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| SetDeviceDetectChanMask (self, val)
| Enables device autodetection (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| GetDeviceDetectChanMask (self)
| Gets device autodetection flag (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| SetDevice3V3chanMask (self, val)
| Enables device 3V3 startup state on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| GetDevice3V3chanMask (self)
| Gets device 3V3 startup state flag on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...
| SetPStempLimit (self, val)
| Sets power supply temperature limit for shutdown.
| GetPStempLimit (self)
| Gets power supply temperature limit for shutdown.
| SetPStempHyst (self, val)
| Sets power supply temperature hysteresis for restart.
| GetPStempHyst (self)
| Gets power supply temperature hysteresis for restart.
| SetOStempLimit (self, val)
| Sets output stage temperature limit for shutdown.
| GetOStempLimit (self)
| Gets output stage temperature limit for shutdown.
| SetOStempHyst (self, val)
| Sets output stage temperature hysteresis for restart.
| GetOStempHyst (self)
| Gets output stage temperature hysteresis for restart.
| GetCalTimestamp (self)
| Gets board calibration timestamp.
| SetAutoConfig (self, val)
| GetAutoConfig (self)
| SetControlSetup (self, addr)
| GetControlSetup (self)
| SetSlaveNumOfRegisters (self, addr)
| GetSlaveNumOfRegisters (self)
| SetOutCalCoef (self, channel, value)
| GetOutCalCoef (self, channel)
| SetAinCalCoef (self, channel, value)
| GetAinCalCoef (self, channel)
| SetIntICalCoef (self, channel, value)
| GetIntICalCoef (self, channel)
| SetIntUCalCoef (self, channel, value)
| GetIntUCalCoef (self, channel, byte_cnt=6)
| SetUinCalCoef (self, value)
| GetUinCalCoef (self, byte_cnt=6)
| SetIinCalCoef (self, value)
| GetIinCalCoef (self)
| GetUfeCalCoef (self, byte_cnt=6)
| SetUfeCalCoef (self, value)
| LockEEPROM (self, enable=True)
| SetSerialNumber (self, serial)
| SetCalTimestamp (self, timestamp)

## Static Public Member Functions
| help ()

## Public Attributes
| eeprom_version
| eeprom_subversion
| part_number
| part_config
| prod_version
| DHCP_enable
| TCPIP_port
| UDP_port
| I2C_slave_addr
| FE_autostart
| FE_voltage
| PWM_freq
| PWM_enable_chan_mask
| Device_detect_chan_mask
| Device_3V3_state_chan_mask
| PS_temp_limit
| PS_temp_hyst
| OS_temp_limit
| OS_temp_hyst
| Auto_config
| Cal_timestamp
| Input_control_setup
| I2C_slave_num_of_registers
| eeprom
| serial_number
| MAC_addr
| IPv4_addr
| IPv6_addr
| Out_cal_coef_ch0
| Out_cal_coef_ch1
| Out_cal_coef_ch2
| Out_cal_coef_ch3
| Ain_cal_coef_ch0
| Ain_cal_coef_ch1
| Ain_cal_coef_ch2
| Ain_cal_coef_ch3
| Int_I_cal_coef_ch0
| Int_I_cal_coef_ch1
| Int_I_cal_coef_ch2
| Int_I_cal_coef_ch3
| Int_U_cal_coef_ch0
| Int_U_cal_coef_ch1
| Int_U_cal_coef_ch2
| Int_U_cal_coef_ch3
| Uin_cal_coef
| Iin_cal_coef
| Ufe_cal_coef
| IPv4_sn
| IPv4_gw
| IPv4_dns
| IPv6_sn
| IPv6_gw
| IPv6_dns

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

Parent class => BoardEEPROM

    * Board EEPROM system ID: <b>0x20</b>
    *
    * Board EEPROM system provides read and write functionality to the EEPROM located in the driver.
    * By default EEPROM data are write protected. To write data, the user has to explicitly unlock
    * the EEPROM by writing the key value to the lock register.
    *
    * ### Register Map:
    *
    * | Address | Name                           | Default Value | Description                                                       | Type   | Access    |
    * |---------|--------------------------------|---------------|-------------------------------------------------------------------|--------|-----------|
    * | 0x2000  | Lock                           | 1             | write the key to unlock, anything else to lock                    | float  | read write| Key value: 0x3f4744f6 (float 0.778396)
    * | 0x2001  | Board EEPROM version           | N/A           |                                                                   | uint16 | read only |
    * | 0x2002  | Board EEPROM subversion        | N/A           |                                                                   | uint8  | read only |
    * | 0x2003  | Part number                    | N/A           | Part number as an integer (2000mA->14521500, 500mA->14521400)     | uint32 | read only |
    * | 0x2004  | Part configuration             | N/A           |                                                                   | uint8  | read only |
    * | 0x2005  | Product version                | N/A           |                                                                   | uint8  | read only |
    * | 0x2006  | DHCP mode                      | true or 1     | DHCP enabled if not 0                                             | bool   | read write|
    * | 0x2007  | TCP-IP port                    | 5000          |                                                                   | bool   | read write|
    * | 0x2008  | UDP port                       | 30311         |                                                                   | bool   | read write|
    * | 0x2009  | I2C slave address              | 0x03          |                                                                   | uint8  | read write|
    * | 0x200A  | FE_autostart                   | true or 1     | Autostart if value!=0                                             | uint8  | read write|
    * | 0x200B  | FE_voltage                     | 12.0          |                                                                   | float  | read write|
    * | 0x200C  | PWM_freq                       | 0             | Startup PWM freq: 0=400kHz, 1=500kHz, 2=600kHz, 3=1MHz, 4=1.2MHz  | uint8  | read write|
    * | 0x200D  | PWM_enable_chan_mask           | 15            | Enable output PWM driver IC on channel (bitwise)                  | uint8  | read write|
    * | 0x200E  | Device_detect_chan_mask        | 15            | Enable autodetection on channel (bitwise)                         | uint8  | read write|
    * | 0x200F  | Device_3V3_state_chan_mask     | 0             | Enable device 3V3 startup state on channel (bitwise)              | uint8  | read write|
    * | 0x2010  | PS_temp_limit                  | 60            | Power supply temperature limit for shutdown                       | float  | read write|
    * | 0x2011  | PS_temp_hyst                   | 10            | Power supply temperature hysteresis for restart                   | float  | read write|
    * | 0x2012  | OS_temp_limit                  | 60            | Output stage temperature limit for shutdown                       | float  | read write|
    * | 0x2013  | OS_temp_hyst                   | 10            | Output stage temperature hysteresis for restart                   | float  | read write|
    * | 0x2014  | Start_auto_config              | 0             | 1=internal or 2=ext.triger starts auto-actuation (0=off)          | uint32 | read write|
    * | 0x2015  | Calibration Time-stamp         | N/A           | Unix Time format (seconds since 1.1.1970)                         | uint32 | read write|
    *
    * The board EEPROM system supports the following vectors (vectors have their own address space):
    *
    * | Address | Name                           | Default  | Description                 | Format and value |
    * |---------|--------------------------------|----------|-----------------------------|------------------|
    * | 0x2000  | Board EEPROM                   |   N/A    | supports bytes up to 0x2000 |                  |
    * | 0x2001  | Board serial number            |   N/A    | 8 bytes                     | read only        |
    * | 0x2002  | MAC address                    |   N/A    | 6 bytes                     | uint8            |
    * | 0x2003  | IPv4 address                   |   N/A    | 4 bytes                     | uint8            |
    * | 0x2004  | IPv6_address                   |   N/A    | 16 bytes                    | uint8            |
    * | 0x2005  | Output drive cal.coeff. chan0  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2006  | Output drive cal.coeff. chan1  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2007  | Output drive cal.coeff. chan2  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2008  | Output drive cal.coeff. chan3  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2009  | Input analog cal.coeff. chan0  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200A  | Input analog cal.coeff. chan1  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200B  | Input analog cal.coeff. chan2  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200C  | Input analog cal.coeff. chan3  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200D  | Int.meas.current cal.c. chan0  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200E  | Int.meas.current cal.c. chan1  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200F  | Int.meas.current cal.c. chan2  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2010  | Int.meas.current cal.c. chan3  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2011  | Int.meas.voltage cal.c. chan0  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2012  | Int.meas.voltage cal.c. chan1  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2013  | Int.meas.voltage cal.c. chan2  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2014  | Int.meas.voltage cal.c. chan3  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2015  | Int.meas. Uin cal.coefficient  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2016  | Int.meas. Iin cal.coefficient  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2017  | Int.meas. Ufe cal.coefficient  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2018  | Subnet Mask IPv4               |   N/A    | 4 bytes                     | uint8            |
    * | 0x2019  | Gateway IPv4                   |   N/A    | 4 bytes                     | uint8            |
    * | 0x201A  | DNS IPv4                       |   N/A    | 4 bytes                     | uint8            |
    * | 0x201B  | Subnet Mask IPv6               |   N/A    | 16 bytes                    | uint8            |
    * | 0x201C  | Gateway IPv6                   |   N/A    | 16 bytes                    | uint8            |
    * | 0x201D  | DNS IPv6                       |   N/A    | 16 bytes                    | uint8            |
    * |---------|--------------------------------|----------|-----------------------------|------------------|

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.ICCBoardEEPROM.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetAinCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetAinCalCoef | ( |  | self,
|  |  | channel )

## ◆ GetAutoConfig()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetAutoConfig | ( |  | self | ) |

## ◆ GetCalTimestamp()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetCalTimestamp | ( |  | self | ) |

Gets board calibration timestamp.

## ◆ GetControlSetup()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetControlSetup | ( |  | self | ) |

## ◆ GetDevice3V3chanMask()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetDevice3V3chanMask | ( |  | self | ) |

Gets device 3V3 startup state flag on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ GetDeviceDetectChanMask()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetDeviceDetectChanMask | ( |  | self | ) |

Gets device autodetection flag (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ GetDHCP()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetDHCP | ( |  | self | ) |

Gets DHCP enabled flag, 0 = DHCP disabled, 1 = DHCP enabled.

## ◆ GetEepromSubVersion()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetEepromSubVersion | ( |  | self | ) |

Gets board EEPROM subversion.

## ◆ GetEepromVersion()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetEepromVersion | ( |  | self | ) |

Gets board EEPROM version.

## ◆ GetFEautostart()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetFEautostart | ( |  | self | ) |

Gets board FE autostart flag, 0 = disabled, 1 = enabled.

## ◆ GetFEvoltage()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetFEvoltage | ( |  | self | ) |

Gets board FE voltage.

## ◆ GetI2Caddr()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetI2Caddr | ( |  | self | ) |

Gets board I2C address.

## ◆ GetIinCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIinCalCoef | ( |  | self | ) |

## ◆ GetIntICalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIntICalCoef | ( |  | self,
|  |  | channel )

## ◆ GetIntUCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIntUCalCoef | ( |  | self,
|  |  | channel,
|  |  | byte_cnt = 6 )

## ◆ GetIPv4addr()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIPv4addr | ( |  | self | ) |

Gets board IPv4 address.

## ◆ GetIPv4dns()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIPv4dns | ( |  | self | ) |

Gets board IPv4 DNS address.

## ◆ GetIPv4gateway()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIPv4gateway | ( |  | self | ) |

Gets board IPv4 default gateway.

## ◆ GetIPv4subnet()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIPv4subnet | ( |  | self | ) |

Gets board IPv4 subnet mask.

## ◆ GetIPv6addr()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIPv6addr | ( |  | self | ) |

Gets board IPv6 address.

## ◆ GetIPv6dns()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIPv6dns | ( |  | self | ) |

Gets board IPv6 DNS address.

## ◆ GetIPv6gateway()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIPv6gateway | ( |  | self | ) |

Gets board IPv6 default gateway mask.

## ◆ GetIPv6subnet()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetIPv6subnet | ( |  | self | ) |

Gets board IPv6 subnet mask.

## ◆ GetMACaddr()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetMACaddr | ( |  | self | ) |

Gets board MAC address.

## ◆ GetOStempHyst()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetOStempHyst | ( |  | self | ) |

Gets output stage temperature hysteresis for restart.

## ◆ GetOStempLimit()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetOStempLimit | ( |  | self | ) |

Gets output stage temperature limit for shutdown.

## ◆ GetOutCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetOutCalCoef | ( |  | self,
|  |  | channel )

## ◆ GetPStempHyst()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetPStempHyst | ( |  | self | ) |

Gets power supply temperature hysteresis for restart.

## ◆ GetPStempLimit()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetPStempLimit | ( |  | self | ) |

Gets power supply temperature limit for shutdown.

## ◆ GetPWMenableChanMask()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetPWMenableChanMask | ( |  | self | ) |

Gets flag which enables output PWM driver IC on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ GetPWMfreq()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetPWMfreq | ( |  | self | ) |

Gets board PWM startup frequency, 0=400kHz, 1=500kHz, 2=600kHz, 3=1MHz, 4=1.2MHz.

## ◆ GetSerialNumber()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetSerialNumber | ( |  | self | ) |

Gets board serial number.

## ◆ GetSlaveNumOfRegisters()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetSlaveNumOfRegisters | ( |  | self | ) |

## ◆ GetTCPIPport()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetTCPIPport | ( |  | self | ) |

Gets board TCP port.

## ◆ GetUDPport()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetUDPport | ( |  | self | ) |

Gets board UDP port.

## ◆ GetUfeCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetUfeCalCoef | ( |  | self,
|  |  | byte_cnt = 6 )

## ◆ GetUinCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.GetUinCalCoef | ( |  | self,
|  |  | byte_cnt = 6 )

## ◆ help()

optoICC.registers.icc_registers.ICCBoardEEPROM.help | ( |  | ) |
| static

## ◆ LockEEPROM()

optoICC.registers.icc_registers.ICCBoardEEPROM.LockEEPROM | ( |  | self,
|  |  | enable = True )

## ◆ SetAinCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetAinCalCoef | ( |  | self,
|  |  | channel,
|  |  | value )

## ◆ SetAutoConfig()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetAutoConfig | ( |  | self,
|  |  | val )

## ◆ SetCalTimestamp()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetCalTimestamp | ( |  | self,
|  |  | timestamp )

## ◆ SetControlSetup()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetControlSetup | ( |  | self,
|  |  | addr )

## ◆ SetDevice3V3chanMask()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetDevice3V3chanMask | ( |  | self,
|  |  | val )

Enables device 3V3 startup state on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ SetDeviceDetectChanMask()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetDeviceDetectChanMask | ( |  | self,
|  |  | val )

Enables device autodetection (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ SetDHCP()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetDHCP | ( |  | self,
|  |  | enable )

Sets DHCP enabled flag, 0 = DHCP disabled, 1 = DHCP enabled.

## ◆ SetFEautostart()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetFEautostart | ( |  | self,
|  |  | val )

Sets board FE autostart flag, 0 = disabled, 1 = enabled.

## ◆ SetFEvoltage()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetFEvoltage | ( |  | self,
|  |  | val )

Sets board FE voltage.

## ◆ SetI2Caddr()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetI2Caddr | ( |  | self,
|  |  | addr )

Sets board I2C address.

## ◆ SetIinCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIinCalCoef | ( |  | self,
|  |  | value )

## ◆ SetIntICalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIntICalCoef | ( |  | self,
|  |  | channel,
|  |  | value )

## ◆ SetIntUCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIntUCalCoef | ( |  | self,
|  |  | channel,
|  |  | value )

## ◆ SetIPv4addr()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIPv4addr | ( |  | self,
|  |  | addr )

Sets board IPv4 address.

## ◆ SetIPv4dns()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIPv4dns | ( |  | self,
|  |  | addr )

Sets board IPv4 DNS address.

## ◆ SetIPv4gateway()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIPv4gateway | ( |  | self,
|  |  | addr )

Sets board IPv4 default gateway.

## ◆ SetIPv4subnet()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIPv4subnet | ( |  | self,
|  |  | addr )

Sets board IPv4 subnet mask.

## ◆ SetIPv6addr()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIPv6addr | ( |  | self,
|  |  | addr )

Sets board IPv6 address.

## ◆ SetIPv6dns()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIPv6dns | ( |  | self,
|  |  | addr )

Sets board IPv6 DNS address.

## ◆ SetIPv6gateway()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIPv6gateway | ( |  | self,
|  |  | addr )

Sets board IPv6 default gateway mask.

## ◆ SetIPv6subnet()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetIPv6subnet | ( |  | self,
|  |  | addr )

Sets board IPv6 subnet mask.

## ◆ SetMACaddr()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetMACaddr | ( |  | self,
|  |  | mac_addr )

Sets board MAC address.

## ◆ SetOStempHyst()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetOStempHyst | ( |  | self,
|  |  | val )

Sets output stage temperature hysteresis for restart.

## ◆ SetOStempLimit()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetOStempLimit | ( |  | self,
|  |  | val )

Sets output stage temperature limit for shutdown.

## ◆ SetOutCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetOutCalCoef | ( |  | self,
|  |  | channel,
|  |  | value )

## ◆ SetPStempHyst()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetPStempHyst | ( |  | self,
|  |  | val )

Sets power supply temperature hysteresis for restart.

## ◆ SetPStempLimit()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetPStempLimit | ( |  | self,
|  |  | val )

Sets power supply temperature limit for shutdown.

## ◆ SetPWMenableChanMask()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetPWMenableChanMask | ( |  | self,
|  |  | mask )

Enables output PWM driver IC on channel (bitwise), 0 bit = channel 0, 1 bit = channel 1, ...

## ◆ SetPWMfreq()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetPWMfreq | ( |  | self,
|  |  | val )

Sets board PWM startup frequency, 0=400kHz, 1=500kHz, 2=600kHz, 3=1MHz, 4=1.2MHz.

## ◆ SetSerialNumber()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetSerialNumber | ( |  | self,
|  |  | serial )

## ◆ SetSlaveNumOfRegisters()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetSlaveNumOfRegisters | ( |  | self,
|  |  | addr )

## ◆ SetTCPIPport()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetTCPIPport | ( |  | self,
|  |  | port )

Sets board TCP port.

## ◆ SetUDPport()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetUDPport | ( |  | self,
|  |  | port )

Sets board UDP port.

## ◆ SetUfeCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetUfeCalCoef | ( |  | self,
|  |  | value )

## ◆ SetUinCalCoef()

optoICC.registers.icc_registers.ICCBoardEEPROM.SetUinCalCoef | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.ICCBoardEEPROM._is_a_system = False
| static protected

## ◆ Ain_cal_coef_ch0

optoICC.registers.icc_registers.ICCBoardEEPROM.Ain_cal_coef_ch0

## ◆ Ain_cal_coef_ch1

optoICC.registers.icc_registers.ICCBoardEEPROM.Ain_cal_coef_ch1

## ◆ Ain_cal_coef_ch2

optoICC.registers.icc_registers.ICCBoardEEPROM.Ain_cal_coef_ch2

## ◆ Ain_cal_coef_ch3

optoICC.registers.icc_registers.ICCBoardEEPROM.Ain_cal_coef_ch3

## ◆ Auto_config

optoICC.registers.icc_registers.ICCBoardEEPROM.Auto_config

## ◆ Cal_timestamp

optoICC.registers.icc_registers.ICCBoardEEPROM.Cal_timestamp

## ◆ Device_3V3_state_chan_mask

optoICC.registers.icc_registers.ICCBoardEEPROM.Device_3V3_state_chan_mask

## ◆ Device_detect_chan_mask

optoICC.registers.icc_registers.ICCBoardEEPROM.Device_detect_chan_mask

## ◆ DHCP_enable

optoICC.registers.icc_registers.ICCBoardEEPROM.DHCP_enable

## ◆ eeprom

optoICC.registers.icc_registers.ICCBoardEEPROM.eeprom

## ◆ eeprom_subversion

optoICC.registers.icc_registers.ICCBoardEEPROM.eeprom_subversion

## ◆ eeprom_version

optoICC.registers.icc_registers.ICCBoardEEPROM.eeprom_version

## ◆ FE_autostart

optoICC.registers.icc_registers.ICCBoardEEPROM.FE_autostart

## ◆ FE_voltage

optoICC.registers.icc_registers.ICCBoardEEPROM.FE_voltage

## ◆ I2C_slave_addr

optoICC.registers.icc_registers.ICCBoardEEPROM.I2C_slave_addr

## ◆ I2C_slave_num_of_registers

optoICC.registers.icc_registers.ICCBoardEEPROM.I2C_slave_num_of_registers

## ◆ Iin_cal_coef

optoICC.registers.icc_registers.ICCBoardEEPROM.Iin_cal_coef

## ◆ Input_control_setup

optoICC.registers.icc_registers.ICCBoardEEPROM.Input_control_setup

## ◆ Int_I_cal_coef_ch0

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_I_cal_coef_ch0

## ◆ Int_I_cal_coef_ch1

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_I_cal_coef_ch1

## ◆ Int_I_cal_coef_ch2

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_I_cal_coef_ch2

## ◆ Int_I_cal_coef_ch3

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_I_cal_coef_ch3

## ◆ Int_U_cal_coef_ch0

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_U_cal_coef_ch0

## ◆ Int_U_cal_coef_ch1

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_U_cal_coef_ch1

## ◆ Int_U_cal_coef_ch2

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_U_cal_coef_ch2

## ◆ Int_U_cal_coef_ch3

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_U_cal_coef_ch3

## ◆ IPv4_addr

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv4_addr

## ◆ IPv4_dns

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv4_dns

## ◆ IPv4_gw

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv4_gw

## ◆ IPv4_sn

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv4_sn

## ◆ IPv6_addr

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv6_addr

## ◆ IPv6_dns

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv6_dns

## ◆ IPv6_gw

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv6_gw

## ◆ IPv6_sn

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv6_sn

## ◆ MAC_addr

optoICC.registers.icc_registers.ICCBoardEEPROM.MAC_addr

## ◆ OS_temp_hyst

optoICC.registers.icc_registers.ICCBoardEEPROM.OS_temp_hyst

## ◆ OS_temp_limit

optoICC.registers.icc_registers.ICCBoardEEPROM.OS_temp_limit

## ◆ Out_cal_coef_ch0

optoICC.registers.icc_registers.ICCBoardEEPROM.Out_cal_coef_ch0

## ◆ Out_cal_coef_ch1

optoICC.registers.icc_registers.ICCBoardEEPROM.Out_cal_coef_ch1

## ◆ Out_cal_coef_ch2

optoICC.registers.icc_registers.ICCBoardEEPROM.Out_cal_coef_ch2

## ◆ Out_cal_coef_ch3

optoICC.registers.icc_registers.ICCBoardEEPROM.Out_cal_coef_ch3

## ◆ part_config

optoICC.registers.icc_registers.ICCBoardEEPROM.part_config

## ◆ part_number

optoICC.registers.icc_registers.ICCBoardEEPROM.part_number

## ◆ prod_version

optoICC.registers.icc_registers.ICCBoardEEPROM.prod_version

## ◆ PS_temp_hyst

optoICC.registers.icc_registers.ICCBoardEEPROM.PS_temp_hyst

## ◆ PS_temp_limit

optoICC.registers.icc_registers.ICCBoardEEPROM.PS_temp_limit

## ◆ PWM_enable_chan_mask

optoICC.registers.icc_registers.ICCBoardEEPROM.PWM_enable_chan_mask

## ◆ PWM_freq

optoICC.registers.icc_registers.ICCBoardEEPROM.PWM_freq

## ◆ serial_number

optoICC.registers.icc_registers.ICCBoardEEPROM.serial_number

## ◆ TCPIP_port

optoICC.registers.icc_registers.ICCBoardEEPROM.TCPIP_port

## ◆ UDP_port

optoICC.registers.icc_registers.ICCBoardEEPROM.UDP_port

## ◆ Ufe_cal_coef

optoICC.registers.icc_registers.ICCBoardEEPROM.Ufe_cal_coef

## ◆ Uin_cal_coef

optoICC.registers.icc_registers.ICCBoardEEPROM.Uin_cal_coef

The documentation for this class was generated from the following file:

- C:/git/145-713-00_optoICC/src/main/python/optoICC/registers/icc_registers.py